Skip to main content
GET
/
orgs
/
{organization}
/
servers
/
{server}
/
sites
/
{site}
/
redirect-rules
List site redirect rules
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/redirect-rules",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
curl --request GET \
--url https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/redirect-rules \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/redirect-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/redirect-rules"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": [
    {
      "id": "<string>",
      "type": "redirect-rules",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "from": "<string>",
        "to": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "path": "<string>",
    "per_page": 1,
    "next_cursor": "<string>",
    "prev_cursor": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

site
integer
required

The site ID

Query Parameters

page[size]
integer
default:30

The number of results that will be returned per page.

page[cursor]
string

The cursor to start the pagination from.

filter[from]
string

The source URL path for the redirect rule.

Example:

"/old-path"

filter[to]
string

The destination URL path for the redirect rule.

Example:

"/new-path"

filter[type]
string

The type of the redirect rule.

Example:

"permanent"

filter[status]
string

The status of the redirect rule.

Example:

"installed"

sort
enum<string>[]
Available options:
created_at,
-created_at,
updated_at,
-updated_at

Response

Paginated set of RedirectRuleResource

data
RedirectRuleResource · object[]
required
meta
object
required